CUDNN Frontend API 8.3.0

Public Member Functions | Private Types | Private Attributes | List of all members
cudnn_frontend::ExecutionPlanCache_v2 Class Reference

`#include <cudnn_frontend_ExecutionPlanCache.h>`

Inheritance diagram for cudnn_frontend::ExecutionPlanCache_v2:
Collaboration diagram for cudnn_frontend::ExecutionPlanCache_v2:

## Public Member Functions
virtual bool | is_fastest_plan_stable (const cudnn_frontend::OperationGraph &op_graph, const std::string &tag)
void | set_saturation_count (int32_t count)
| ExecutionPlanCache_v2 (const char *name_)
Public Member Functions inherited from cudnn_frontend::ExecutionPlanCache_v1
void | add_plan_to_cache (const cudnn_frontend::OperationGraph &op_graph, const cudnn_frontend::ExecutionPlan &plan)
| ExecutionPlanCache_v1 (const char *name_)
const std::string & | get_name () const
bool | get_plan_from_cache (const cudnn_frontend::OperationGraph &op_graph, const cudnn_frontend::ExecutionPlan *&plan) const

## Private Types
using | SaturationTracker = std::map< std::pair< cudnn_frontend::feature_vector_t, std::string >, int32_t >

## Private Attributes
SaturationTracker | tracker
int32_t | saturationCount = 1

## Additional Inherited Members
Protected Types inherited from cudnn_frontend::ExecutionPlanCache_v1
using | FeatureVectorToPlanMap = std::map< cudnn_frontend::feature_vector_t, cudnn_frontend::ExecutionPlan, cudnn_frontend::ExecutionPlanCache_v1::compare >
Protected Attributes inherited from cudnn_frontend::ExecutionPlanCache_v1
std::string | name = "plan_cache_[unnamed]"
FeatureVectorToPlanMap | cache
std::mutex | cache_mutex

## Detailed Description

Definition at line 141 of file cudnn_frontend_ExecutionPlanCache.h.

## Member Typedef Documentation

## ◆ SaturationTracker

using cudnn_frontend::ExecutionPlanCache_v2::SaturationTracker = std::map<std::pair<cudnn_frontend::feature_vector_t, std::string>, int32_t>
| private

Definition at line 143 of file cudnn_frontend_ExecutionPlanCache.h.

## Constructor & Destructor Documentation

## ◆ ExecutionPlanCache_v2()

cudnn_frontend::ExecutionPlanCache_v2::ExecutionPlanCache_v2 | ( | const char * | name_ | ) |
| inline

Definition at line 173 of file cudnn_frontend_ExecutionPlanCache.h.

## Member Function Documentation

## ◆ is_fastest_plan_stable()

virtual bool cudnn_frontend::ExecutionPlanCache_v2::is_fastest_plan_stable | ( | const cudnn_frontend::OperationGraph & | op_graph,
|  | const std::string & | tag
| ) |  |
| inlinevirtual

Reimplemented from cudnn_frontend::ExecutionPlanCache_v1.

Definition at line 150 of file cudnn_frontend_ExecutionPlanCache.h.

References cudnn_frontend::ExecutionPlanCache_v1::cache_mutex, cudnn_frontend::ExecutionPlanCache_v1::get_plan_from_cache(), cudnn_frontend::OperationGraph_v8::getFeatureVector(), cudnn_frontend::getLogger(), cudnn_frontend::OperationGraph_v8::getTag(), and cudnn_frontend::ExecutionPlanCache_v1::name.

## ◆ set_saturation_count()

void cudnn_frontend::ExecutionPlanCache_v2::set_saturation_count | ( | int32_t | count | ) |
| inline

Definition at line 169 of file cudnn_frontend_ExecutionPlanCache.h.

## Member Data Documentation

## ◆ saturationCount

int32_t cudnn_frontend::ExecutionPlanCache_v2::saturationCount = 1
| private

Definition at line 146 of file cudnn_frontend_ExecutionPlanCache.h.

## ◆ tracker

SaturationTracker cudnn_frontend::ExecutionPlanCache_v2::tracker
| private

Definition at line 144 of file cudnn_frontend_ExecutionPlanCache.h.

The documentation for this class was generated from the following file:

- cudnn_frontend_ExecutionPlanCache.h